package com.google.android.demo;

import android.app.Activity;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;

import org.apache.commons.httpclient.HttpClient;
import org.apache.commons.httpclient.methods.GetMethod;

import java.io.OutputStream;

public class AddressHandler extends Activity {
	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		
		setContentView(R.layout.uri);
		Button b = (Button) findViewById(R.id.confirm);
		final EditText et = (EditText) findViewById(R.id.enter_uri);
		b.setOnClickListener(new View.OnClickListener() {
			public void onClick(View arg0) {
				HttpClient client = new HttpClient();
				GetMethod req = new GetMethod(et.getText().toString());
				String body = null;
				try {
					client.executeMethod(req);
					body = req.getResponseBodyAsString();
					OutputStream os = openFileOutput("address_list", 0);
					os.write(body.getBytes());
					os.close();
				} catch (Exception e) {
					body = null;
				}
				finish();
			}
		});
	}
}
